--AH:ScriptId=92972ff7-f341-4efe-b031-14214e0d113b;238
ALTER TABLE [ReleaseDeployables]
  ADD [InclusionType_Code] CHAR(1) NOT NULL
	    CONSTRAINT DF__ReleaseDeployables__InclusionType_Code
          DEFAULT('I'),
      CONSTRAINT CK__ReleaseDeployables__InclusionType_Code_Domain
        CHECK ([InclusionType_Code] IN ('I','R')),
      [Referenced_Release_Number] RELEASENUMBER NULL,
      CONSTRAINT [FK__ReleaseDeployables__Releases_Referenced]
        FOREIGN KEY ([Application_Id],[Referenced_Release_Number])
        REFERENCES [Releases] ([Application_Id],[Release_Number]),
      CONSTRAINT [CK__ReleaseDeployables__ReferencedRelease]
        CHECK (   ([InclusionType_Code] = 'I' AND [Referenced_Release_Number] IS NULL)
               OR ([InclusionType_Code] = 'R' AND [Referenced_Release_Number] IS NOT NULL)  )


ALTER TABLE [ReleaseDeployables]
  DROP CONSTRAINT DF__ReleaseDeployables__InclusionType_Code

