EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Applications_ValidateHealth',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'Applications_Health',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets data relevant to the Application Health page.'
GO


IF OBJECT_ID('[Applications_ValidateHealth]') IS NOT NULL DROP PROCEDURE [Applications_ValidateHealth]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Applications_ValidateHealth]
(
	@Application_Id INT
)
AS
BEGIN

	SET NOCOUNT ON

    SELECT * FROM [Applications_Health]
    WHERE [Application_Id] = @Application_Id
	
END
GO

GRANT EXECUTE ON [Applications_ValidateHealth] TO [BuildMasterUser_Role]