EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'BuildExecutions_GetPipelineStageNames',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'BuildExecutions_PipelineStages',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets all stage names based on the target of an execution.'
GO

IF OBJECT_ID('[BuildExecutions_GetPipelineStageNames]') IS NOT NULL DROP PROCEDURE [BuildExecutions_GetPipelineStageNames]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [BuildExecutions_GetPipelineStageNames]
AS
BEGIN

SET NOCOUNT ON

    SELECT * FROM [BuildExecutions_PipelineStages]
     ORDER BY [PipelineStage_Name]

END
GO

GRANT EXECUTE ON [BuildExecutions_GetPipelineStageNames] TO [BuildMasterUser_Role]
