EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Configuration_GetValue',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ 'Value_Text',
    /* Description_Text        */ 'This is a legacy procedure and will be removed in BuildMaster v6.'
GO


IF OBJECT_ID('[dbo].[Configuration_GetValue]') IS NOT NULL
	DROP PROCEDURE [dbo].[Configuration_GetValue]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [dbo].[Configuration_GetValue]
(
	@Scope_Name VARCHAR(250),
	@Key_Name VARCHAR(250),
	@Value_Text VARCHAR(MAX) = NULL OUT
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT @Value_Text = [Value_Text]
	  FROM [dbo].[Configuration]
	 WHERE [Legacy_Scope_Name] = @Scope_Name
	   AND [Legacy_Key_Name] = @Key_Name
	   AND [Legacy_Scope_Name] <> 'Internal'

END
GO

GRANT EXECUTE ON [dbo].[Configuration_GetValue] TO [BuildMasterUser_Role]
GO
