EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'IssueSources_DeleteIssueSource',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes an issue source.'
GO


IF OBJECT_ID('[IssueSources_DeleteIssueSource]') IS NOT NULL DROP PROCEDURE [IssueSources_DeleteIssueSource]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [IssueSources_DeleteIssueSource]
(
	@IssueSource_Id INT
)
AS
BEGIN

SET NOCOUNT ON

	DELETE [IssueSources]
	 WHERE [IssueSource_Id] = @IssueSource_Id

END
GO

GRANT EXECUTE ON [IssueSources_DeleteIssueSource] TO [BuildMasterUser_Role]