EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Plans_GetActionGroups',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'ActionGroups',
    /* OutputPropertyNames_Csv */  NULL,
    /* Description_Text        */ 'Gets all action groups.'
GO

IF OBJECT_ID('[Plans_GetActionGroups]') IS NOT NULL DROP PROCEDURE [Plans_GetActionGroups]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Plans_GetActionGroups]
AS
BEGIN
	
    SET NOCOUNT ON

    SELECT * FROM [ActionGroups]

END
GO

GRANT EXECUTE ON [Plans_GetActionGroups] TO [BuildMasterUser_Role]
