--AH:ScriptId=cdb64703-cb6c-43bc-bc82-21c3d4d52896;2768
CREATE TABLE [BuildPromotionsScheduled]
(
	[Application_Id] INT NOT NULL,
	[Release_Number] RELEASENUMBER NOT NULL,
	[Build_Number] BUILDNUMBER NOT NULL,
	[Environment_Id] INT NOT NULL,
	[PromoteOn_Date] DATETIME NOT NULL,

	CONSTRAINT [FK__BuildPromotionsScheduled__Builds]
		FOREIGN KEY ([Application_Id], [Release_Number], [Build_Number])
		REFERENCES [Builds] ([Application_Id], [Release_Number], [Build_Number]),

	CONSTRAINT [FK__BuildPromotionsScheduled__Environments]
		FOREIGN KEY ([Environment_Id])
		REFERENCES [Environments] ([Environment_Id]),

	CONSTRAINT [PK__BuildPromotionsScheduled]
		PRIMARY KEY ([Application_Id], [Release_Number], [Build_Number], [Environment_Id])
)

CREATE NONCLUSTERED INDEX [IX__BuildPromotionsScheduled__PromoteOn_Date]
	ON [BuildPromotionsScheduled] ([PromoteOn_Date] DESC)