EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'BuildSchedules_GetBuildSchedule',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataSet',
    /* DataTableNames_Csv      */ 'BuildSchedules_Extended,BuildScheduleVariableDefinitions_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the specified build schedule'
GO

IF OBJECT_ID('[dbo].[BuildSchedules_GetBuildSchedule]') IS NOT NULL
	DROP PROCEDURE [dbo].[BuildSchedules_GetBuildSchedule]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [dbo].[BuildSchedules_GetBuildSchedule]
(
	@Schedule_Id INT
) AS
BEGIN

	SET NOCOUNT ON

	SELECT *
	  FROM [BuildSchedules_Extended]
	 WHERE [Schedule_Id] = @Schedule_Id

    SELECT *
      FROM [BuildScheduleVariableDefinitions_Extended]
     WHERE [Schedule_Id] = @Schedule_Id

END
GO

GRANT EXECUTE ON [dbo].[BuildSchedules_GetBuildSchedule] TO [BuildMasterUser_Role]
GO
