EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Builds_GetPromotionSlim',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'BuildPromotions_Slim',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets a build promotion.'
GO


IF OBJECT_ID('[Builds_GetPromotionSlim]') IS NOT NULL DROP PROCEDURE [Builds_GetPromotionSlim]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Builds_GetPromotionSlim]
(
	@Promotion_Id INT
) AS BEGIN

	SET NOCOUNT ON

	SELECT *
	  FROM [BuildPromotions_Slim]
	 WHERE [Promotion_Id] = @Promotion_Id

END
GO

GRANT EXECUTE ON [Builds_GetPromotionSlim] TO [BuildMasterUser_Role]
