EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'ReleaseTemplates_GetTemplate',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'ReleaseTemplates',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the specified release template.'
GO

IF OBJECT_ID('[ReleaseTemplates_GetTemplate]') IS NOT NULL DROP PROCEDURE [ReleaseTemplates_GetTemplate]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [ReleaseTemplates_GetTemplate]
(
	@ReleaseTemplate_Id INT
) 
AS
BEGIN

    SELECT * 
      FROM [ReleaseTemplates]
     WHERE [ReleaseTemplate_Id] = @ReleaseTemplate_Id


END
GO

GRANT EXECUTE ON [ReleaseTemplates_GetTemplate] TO [BuildMasterUser_Role]

